# Source Generated with Decompyle++
# File: in.pyc (Python 2.7)

""" Python Character Mapping Codec iso8859_10 generated from 'MAPPINGS/ISO8859/8859-10.TXT' with gencodec.py.

"""
import codecs

class Codec(codecs.Codec):
    
    def encode(self, input, errors = 'strict'):
        return codecs.charmap_encode(input, errors, encoding_table)

    
    def decode(self, input, errors = 'strict'):
        return codecs.charmap_decode(input, errors, decoding_table)



class IncrementalEncoder(codecs.IncrementalEncoder):
    
    def encode(self, input, final = False):
        return codecs.charmap_encode(input, self.errors, encoding_table)[0]



class IncrementalDecoder(codecs.IncrementalDecoder):
    
    def decode(self, input, final = False):
        return codecs.charmap_decode(input, self.errors, decoding_table)[0]



class StreamWriter(Codec, codecs.StreamWriter):
    pass


class StreamReader(Codec, codecs.StreamReader):
    pass


def getregentry():
    return codecs.CodecInfo(name = 'iso8859-10', encode = Codec().encode, decode = Codec().decode, incrementalencoder = IncrementalEncoder, incrementaldecoder = IncrementalDecoder, streamreader = StreamReader, streamwriter = StreamWriter)

decoding_table = u'\x00\x01\x02\x03\x04\x05\x06\x07\x08\t\n\x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1a\x1b\x1c\x1d\x1e\x1f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7f\xc2\x80\xc2\x81\xc2\x82\xc2\x83\xc2\x84\xc2\x85\xc2\x86\xc2\x87\xc2\x88\xc2\x89\xc2\x8a\xc2\x8b\xc2\x8c\xc2\x8d\xc2\x8e\xc2\x8f\xc2\x90\xc2\x91\xc2\x92\xc2\x93\xc2\x94\xc2\x95\xc2\x96\xc2\x97\xc2\x98\xc2\x99\xc2\x9a\xc2\x9b\xc2\x9c\xc2\x9d\xc2\x9e\xc2\x9f\xc2\xa0\xc4\x84\xc4\x92\xc4\xa2\xc4\xaa\xc4\xa8\xc4\xb6\xc2\xa7\xc4\xbb\xc4\x90\xc5\xa0\xc5\xa6\xc5\xbd\xc2\xad\xc5\xaa\xc5\x8a\xc2\xb0\xc4\x85\xc4\x93\xc4\xa3\xc4\xab\xc4\xa9\xc4\xb7\xc2\xb7\xc4\xbc\xc4\x91\xc5\xa1\xc5\xa7\xc5\xbe\xe2\x80\x95\xc5\xab\xc5\x8b\xc4\x80\xc3\x81\xc3\x82\xc3\x83\xc3\x84\xc3\x85\xc3\x86\xc4\xae\xc4\x8c\xc3\x89\xc4\x98\xc3\x8b\xc4\x96\xc3\x8d\xc3\x8e\xc3\x8f\xc3\x90\xc5\x85\xc5\x8c\xc3\x93\xc3\x94\xc3\x95\xc3\x96\xc5\xa8\xc3\x98\xc5\xb2\xc3\x9a\xc3\x9b\xc3\x9c\xc3\x9d\xc3\x9e\xc3\x9f\xc4\x81\xc3\xa1\xc3\xa2\xc3\xa3\xc3\xa4\xc3\xa5\xc3\xa6\xc4\xaf\xc4\x8d\xc3\xa9\xc4\x99\xc3\xab\xc4\x97\xc3\xad\xc3\xae\xc3\xaf\xc3\xb0\xc5\x86\xc5\x8d\xc3\xb3\xc3\xb4\xc3\xb5\xc3\xb6\xc5\xa9\xc3\xb8\xc5\xb3\xc3\xba\xc3\xbb\xc3\xbc\xc3\xbd\xc3\xbe\xc4\xb8'
encoding_table = codecs.charmap_build(decoding_table)
